HostingManagers

Update manager status

PUT/api/managers/{manager_code}/status

Enables or disables a manager.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Path Parameters

manager_code*string

Manager code: MN followed by 8 digits. Example: MN12345678.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

status*string

New manager status.

  • enabled = active and usable.
  • disabled = disabled.
Values enabled | disabled

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/managers/string/status" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "status": "enabled"  }'
Empty
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}